Loading...
Searching...
No Matches
Sip_to

## Macros

#define | sip_to(sip)
| Access a SIP To header structure sip_to_t from sip_t.
#define | SIP_TO_INIT()
| Initializer for structure sip_to_t.
#define | SIPTAG_TO(x)
| Tag list item for pointer to a To header structure sip_to_t.
#define | SIPTAG_TO_REF(x)
| Tag list item for reference to a To header pointer.
#define | SIPTAG_TO_STR(s)
| Tag list item for string with To header value.
#define | SIPTAG_TO_STR_REF(x)
| Tag list item for reference to a To header string.

## Typedefs

typedef struct sip_addr_s | sip_to_t
| @

## Functions

issize_t | sip_to_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP To header.
issize_t | sip_to_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP To header.
sip_to_t * | sip_to_init (sip_to_t x[1])
| Initialize a structure sip_to_t.
int | sip_is_to (sip_header_t const *header)
| Test if header object is instance of sip_to_t.
sip_to_t * | sip_to_dup (su_home_t *home, sip_to_t const *hdr))
| Duplicate a list of To header header structures sip_to_t.
sip_to_t * | sip_to_copy (su_home_t *home, sip_to_t const *hdr))
| Copy a list of To header header structures sip_to_t.
sip_to_t * | sip_to_make (su_home_t *home, char const *s))
| Make a To header structure sip_to_t.
sip_to_t * | sip_to_format (su_home_t *home, char const *fmt,...)))
| Make a To header from formatting result.
sip_to_t * | sip_to_create (su_home_t *home, url_string_t const *url)
| Create a To header object with URL.
int | sip_to_add_param (su_home_t *home, sip_to_t *to, char const *param)
| Add a parameter to a sip_to_t object.

## Variables

msg_hclass_t | sip_to_class []
| Header class for To header.
tag_typedef_t | siptag_to
| Tag for To header object.
tag_typedef_t | siptag_to_str
| Tag for string with To header value.

## Detailed Description

## Macro Definition Documentation

## SIP_TO_INIT

#define SIP_TO_INIT | ( |  | ) |

Initializer for structure sip_to_t.

A static sip_to_t structure for To header must be initialized with the SIP_TO_INIT() macro. For instance,

sip_to_t sip_to = SIP_TO_INIT;
sip_to_t
struct sip_addr_s sip_to_t
@
Definition sip.h:197
SIP_TO_INIT
#define SIP_TO_INIT()
Initializer for structure sip_to_t.
Definition sip_protos.h:2052
sip_to
#define sip_to(sip)
Access a SIP To header structure sip_to_t from sip_t.
Definition sip_protos.h:2035

## SIPTAG_TO

#define SIPTAG_TO | ( |  | x | ) |

Tag list item for pointer to a To header structure sip_to_t.

The SIPTAG_TO() macro is used to include a tag item with a pointer to a sip_to_t structure in a tag list.

Parameters

  x | pointer to a sip_to_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_TO_REF().

## SIPTAG_TO_STR

#define SIPTAG_TO_STR | ( |  | s | ) |

Tag list item for string with To header value.

The SIPTAG_TO_STR() macro is used to include a tag item with a string containing value of a sip_to_t header in a tag list.

Parameters

  s | pointer to a string containing To header value, or NULL.

The string in SIPTAG_TO_STR() can be converted to a sip_to_t header structure by giving the string s has second argument to function sip_to_make().

The corresponding tag taking reference parameter is SIPTAG_TO_STR_REF().

## Typedef Documentation

## sip_to_t

typedef struct sip_addr_s sip_to_t

@

The To header field specifies the "logical" recipient of the request. It is defined in RFC 3261 as follows:

To = ( "To" / "t" ) HCOLON ( name-addr
/ addr-spec ) *( SEMI to-param )
to-param = tag-param / generic-param

The parsed To header is stored in sip_to_t structure.

The structure sip_to_t contains representation of To header.

The sip_to_t is defined as follows:

typedef struct {
sip_common_t a_common[1]; // Common fragment info
sip_error_t *a_next; // Link to next (dummy)
char const *a_display; // Display name
url_t a_url[1]; // URL
msg_param_t const *a_params; // List of to-params
char const *a_comment; // Comment
char const *a_tag; // Tag parameter
} sip_to_t;
sip_error_t
msg_error_t sip_error_t
@
Definition sip.h:134
sip_common_t
msg_common_t sip_common_t
Common part of all the header structures.
Definition sip.h:121
url_t

## Function Documentation

## sip_is_to()

int sip_is_to | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_to_t.

Check if the header class is an instance of To header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header to
  0 | (false) otherwise

## sip_to_add_param()

int sip_to_add_param | ( | su_home_t * | home,
|  | sip_to_t * | to,
|  | char const * | param )

Add a parameter to a sip_to_t object.

Note
  This function does not duplicate `param`.

Parameters

  home | memory home
  to | sip_to_t structure
  param | parameter string

Return values

  0 | when successful
  -1 | upon an error

Deprecated
  Use msg_header_replace_param() directly.

## sip_to_copy()

sip_to_t * sip_to_copy | ( | su_home_t * | home,
|  | sip_to_t const * | hdr )

inline

Copy a list of To header header structures sip_to_t.

The function sip_to_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  to = sip_to_copy(home, sip->sip_to);
  sip_to_copy
  sip_to_t * sip_to_copy(su_home_t *home, sip_to_t const *hdr))
  Copy a list of To header header structures sip_to_t.
  Definition sip_protos.h:2182

Returns
  A pointer to newly copied header structure, or NULL upon an error.

## sip_to_create()

sip_to_t * sip_to_create | ( | su_home_t * | home,
|  | url_string_t const * | url )

Create a To header object with URL.

Create a To header object.

Parameters

  home | memory home
  url | URL (string or pointer to url_t)

Returns
  A pointer to newly created To header object when successful or NULL upon an error.

## sip_to_dup()

sip_to_t * sip_to_dup | ( | su_home_t * | home,
|  | sip_to_t const * | hdr )

inline

Duplicate a list of To header header structures sip_to_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  to = sip_to_dup(home, sip->sip_to);
  sip_to_dup
  sip_to_t * sip_to_dup(su_home_t *home, sip_to_t const *hdr))
  Duplicate a list of To header header structures sip_to_t.
  Definition sip_protos.h:2139

Returns
  A pointer to the newly duplicated sip_to_t header structure, or NULL upon an error.

## sip_to_format()

sip_to_t * sip_to_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a To header from formatting result.

Make a new sip_to_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_to_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

## sip_to_init()

sip_to_t * sip_to_init | ( | sip_to_t | x[1] | ) |

inline

Initialize a structure sip_to_t.

An sip_to_t structure for To header can be initialized with the sip_to_init() function/macro. For instance,

sip_to_t sip_to;
sip_to_init(&sip_to);
sip_to_init
sip_to_t * sip_to_init(sip_to_t x[1])
Initialize a structure sip_to_t.
Definition sip_protos.h:2070

## sip_to_make()

sip_to_t * sip_to_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a To header structure sip_to_t.

The function sip_to_make() makes a new sip_to_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_to_t header structure, or NULL upon an error.

## Variable Documentation

## sip_to_class

msg_hclass_t sip_to_class[]

extern

Header class for To header.

The header class sip_to_class defines how a SIP To header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_to_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.